%{?python_enable_dependency_generator}

%if 0%{?fedora} || 0%{?rhel} < 8
%define __python /usr/bin/python2
%endif

Name:           pungi
Version:        4.3.6
Release:        3%{?dist}
Summary:        Distribution compose tool

Group:          Development/Tools
License:        GPLv2
URL:            https://pagure.io/pungi
Source0:        https://pagure.io/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:         0014-Add-special-paths-module-for-RHEL-6.patch
Patch1:         0001-Revert-Fix-compatibility-with-jsonschema-4.0.0.patch
Patch2:         0001-Revert-Create-DVDs-with-xorriso.patch
Patch3:         0001-Allow-disabling-inheriting-ExcludeArch-to-noarch-pac.patch
Patch4:         0002-pkgset-Stop-reuse-if-configuration-changed.patch

BuildRequires:  git
%if 0%{?rhel} < 8
BuildRequires:  python-devel, python-setuptools

# Test requires:
BuildRequires:  pytest
BuildRequires:  kobo >= 0.6
BuildRequires:  kobo-rpmlib
BuildRequires:  python-productmd >= 1.29
BuildRequires:  python-lxml
BuildRequires:  yum
BuildRequires:  python-jsonschema >= 2.3.0
BuildRequires:  pykickstart
BuildRequires:  python-lockfile
BuildRequires:  createrepo
BuildRequires:  python-libcomps
BuildRequires:  python-mock
BuildRequires:  python-six
BuildRequires:  python-createrepo_c
BuildRequires:  python2-multilib
BuildRequires:  PyYAML
BuildRequires:  python2-parameterized
%if 0%{?rhel} <= 6
BuildRequires:  python-argparse
BuildRequires:  python-unittest2
%endif
%if 0%{?rhel} == 7
BuildRequires:  libmodulemd2 >= 2.8.0
BuildRequires:  pygobject2
%endif
BuildRequires:  python-dogpile-cache

# rhel >= 8
%else
BuildRequires:  python3-pytest
BuildRequires:  python3-mock
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-productmd >= 1.29
BuildRequires:  python3-kobo-rpmlib
BuildRequires:  python3-lxml
BuildRequires:  python3-kickstart
BuildRequires:  python3-rpm
BuildRequires:  python3-dnf
BuildRequires:  python3-multilib
BuildRequires:  python3-six
BuildRequires:  git-core
BuildRequires:  python3-jsonschema
BuildRequires:  python3-libcomps
BuildRequires:  python3-kobo
BuildRequires:  python3-koji
BuildRequires:  python3-PyYAML
BuildRequires:  python3-libmodulemd
BuildRequires:  python3-gobject-base
BuildRequires:  python3-createrepo_c
BuildRequires:  python3-dogpile-cache
BuildRequires:  python3-parameterized

# rhel <> 8
%endif

Requires:       git
Requires:       genisoimage
Requires:       isomd5sum
Requires:       hardlink

%if 0%{?rhel} < 8
Requires:       createrepo >= 0.4.11
Requires:       yum => 3.4.3-28
Requires:       python-lockfile
Requires:       kobo >= 0.6
Requires:       kobo-rpmlib
Requires:       python-productmd >= 1.29
Requires:       pykickstart
# Lorax is only needed as a binary, and should not be used on RHEL 6.
%if 0%{?rhel} >= 7
Requires:       lorax
# python-enum34 is needed only on RHEL 7 for DNF gathering backend
Requires:       python-enum34
%endif
Requires:       libselinux-python
Requires:       createrepo_c
Requires:       python-lxml
Requires:       koji >= 1.10.1-25.2
Requires:       cvs
Requires:       yum-utils
Requires:       gettext
Requires:       python-jsonschema >= 2.3.0
Requires:       python-libcomps
Requires:       python-six
Requires:       python-createrepo_c
Requires:       python2-multilib
Requires:       python-dogpile-cache

Requires:       PyYAML
%else
Requires:       python3-kobo-rpmlib
Requires:       pykickstart
Requires:       createrepo_c
Requires:       koji >= 1.10.1-13
Requires:       python3-koji-cli-plugins
Requires:       libguestfs-tools-c
Requires:       lorax
Requires:       python3-dnf
Requires:       python3-multilib
Requires:       python3-libcomps
Requires:       python3-koji
# This should ideally be python3-libmodulemd, but that's not currently in RHEL
# 8.
Requires:       libmodulemd > 2.8.0
Requires:       python3-gobject-base

Requires:       python3-createrepo_c
Requires:       python3-PyYAML
%endif

BuildArch:      noarch

%description
A tool to create anaconda based installation trees/isos of a set of rpms.

%package utils
Summary:    Utilities for working with finished composes
Requires:   pungi = %{version}-%{release}

%description utils
These utilities work with finished composes produced by Pungi. They can be used
for creating unified ISO images, validating config file or sending progress
notification to Fedora Message Bus.


%package modular-support
Summary:    Metapackage that installs all dependencies needed to build modular composes
Requires:   pungi = %{version}-%{release}
%if 0%{?rhel} < 8
Requires:   libmodulemd2 >= 2.8.0
Requires:   pygobject2
%else
Requires:   libmodulemd >= 2.8.0
Requires:   python3-gobject-base
%endif
Requires:   fus >= 0+git.59

%description modular-support
This metapackage pulls in Pungi itself plus all optional dependencies needed
for composes which include modules.


%prep
%autosetup -p1

%build
%if 0%{?rhel} < 8
%{__python} setup.py build
%else
%py3_build
%endif

%install
%if 0%{?rhel} < 8
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%else
%py3_install
# Delete legacy executable
rm %{buildroot}/%{_bindir}/%{name}
%endif
%{__install} -d %{buildroot}/var/cache/pungi/createrepo_c


%check
%if 0%{?rhel} < 8
# assertRegex and assertRaisesRegex are not available in the old
# version of unittest2 in eng-rhel-6/7 buildroot.
sed -i 's/assertRegex/assertRegexpMatches/g' tests/test_*.py
sed -i 's/assertRaisesRegex/assertRaisesRegexp/g' tests/test_*.py
%if 0%{?rhel} < 7
# Skip tests for old version of mock and git.
py.test -k 'not test_has_losetup_error and not GitSCMTestCaseReal and not test_variant_repo_rpms'
%else
# Skip tests for old version of mock.
py.test -k 'not test_has_losetup_error and not test_variant_repo_rpms'
%endif
%else
# Skip test failed with old version of mock
py.test-3 -k 'not test_has_losetup_error and not test_run_with_modulemd'
%endif

%files
%if 0%{?rhel} <= 6
%{!?_licensedir:%global license %doc}
%endif
%license COPYING GPL
%doc AUTHORS
%if 0%{?rhel} < 8
%{_bindir}/%{name}
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-%{version}-py?.?.egg-info
%else
%{python3_sitelib}/%{name}
%{python3_sitelib}/%{name}-%{version}-py?.?.egg-info
%endif
%{_bindir}/%{name}-koji
%{_bindir}/%{name}-gather
%{_bindir}/comps_filter
%{_bindir}/%{name}-make-ostree
%{_datadir}/pungi
%dir %attr(1777, root, root) /var/cache/pungi/createrepo_c
%dir %attr(1777, root, root) /var/cache/%{name}

%files utils
%if 0%{?rhel} < 8
%{python_sitelib}/%{name}_utils
%else
%{python3_sitelib}/%{name}_utils
%endif
%{_bindir}/%{name}-create-unified-isos
%{_bindir}/%{name}-config-dump
%{_bindir}/%{name}-config-validate
%{_bindir}/%{name}-fedmsg-notification
%{_bindir}/%{name}-notification-report-progress
%{_bindir}/%{name}-orchestrate
%{_bindir}/%{name}-patch-iso
%{_bindir}/%{name}-compare-depsolving
%{_bindir}/%{name}-wait-for-signed-ostree-handler

%files modular-support

%changelog
* Fri Sep 23 2022 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.6-3
- Backport patch for disabling ExcludeArch inheritance

* Mon Sep 19 2022 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.6-2
- Revert xorriso patch

* Mon Aug 29 2022 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.6-1
- pkgset: Report better error when module is missing an arch (lsedlar)
- osbuild: add support for building ostree artifacts (ondrej)
- ostree: Add unified core mode for compose in rpm-ostree (tim)
- createiso: Make ISO level more granular (lsedlar)
- Create DVDs with xorriso (lsedlar)
- Fix black complaint (lsedlar)
- doc: fix osbuild's image_types field name (ondrej)
- Print more logs for git_ls_remote (hlin)
- Log time taken of each phase (hlin)

* Fri Jul 15 2022 Haibo Lin <hlin@redhat.com> - 4.3.5-4
- Backport fix for py3

* Fri Jul 01 2022 Haibo Lin <hlin@redhat.com> - 4.3.5-3
- Backport fix for loading pickle file failure

* Mon Jun 27 2022 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.5-2
- Backport fix for reusing extra isos

* Wed Jun 15 2022 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.5-1
- new version

* Tue Apr 26 2022 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.4-3
- Backport fix for koji warnings breaking runroot

* Wed Apr 13 2022 Haibo Lin <hlin@redhat.com> - 4.3.4-2
- Backport 1604.patch

* Mon Apr 04 2022 Ondřej Nosek <onosek@redhat.com> - 4.3.4-1
- kojiwrapper: Add retries to login call (lsedlar)
- Variants file in config can contain path (onosek)
- nomacboot option for livemedia koji tasks (cobrien)
- doc: improve osbs_registries explanation (kdreyer)
- osbs: only handle archives of type "image" (kdreyer)
- Update the default greedy_method value in doc (ounsal)
- Fix the wrong working directory for the progress_notification script (ounsal)
- Filter out environment groups unmatch given arch (hlin)
- profiler: Respect provided output stream (lsedlar)
- modules: Correct a typo in loading obsoletes (ppisar)
- Do not clone the same repository multiple times, re-use already cloned
  repository (ounsal)

* Tue Mar 29 2022 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.3-3
- Add retries for koji.login call

* Mon Mar 21 2022 Haibo Lin <hlin@redhat.com> - 4.3.3-2
- Backport 1596.patch

* Fri Jan 14 2022 Haibo Lin <hlin@redhat.com> - 4.3.3-1
- hybrid: Explicitly pull in debugsource packages (lsedlar)
- Add module obsoletes feature (fvalder)
- buildinstall: Add ability to install extra packages in runroot (ounsal)
- Ignore osbs/osbuild config when reusing iso images (hlin)
- compose: Make sure temporary dirs are world readable (lsedlar)
- Pass compose parameter for debugging git issue (hlin)
- Generate images.json for extra_isos phase (hlin)
- Fix tests for python 2.6 (hlin)

* Fri Dec 17 2021 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.2-5
- Refresh latest patch again

* Thu Dec 16 2021 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.2-4
- Refresh latest patch

* Wed Dec 15 2021 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.2-3
- Backport patch for updating permissions on files from SCM

* Mon Nov 15 2021 Haibo Lin <hlin@redhat.com> - 4.3.2-2
- Backport patch for generating images.json

* Thu Nov 11 2021 Haibo Lin <hlin@redhat.com> - 4.3.2-1
- gather: Load JSON mapping relative to config dir (lsedlar)
- gather: Stop requiring all variants/arches in JSON (lsedlar)
- doc: make dnf "backend" settings easier to discover (kdreyer)
- Remove with_jigdo argument (lsedlar)
- Check dependencies after config validation (lsedlar)
- default "with_jigdo" to False (kdreyer)
- Stop trying to validate non-existent metadata (lsedlar)
- test images for metadata deserialization error (fdipretre)
- repoclosure: Use --forcearch for dnf repoclosure (lsedlar)
- extra_isos: Allow reusing old images (lsedlar)
- createiso: Allow reusing old images (lsedlar)
- Remove default runroot channel (lsedlar)

* Tue Oct 26 2021 Ozan Unsal <ounsal@redhat.com> - 4.3.1-1
- Correct irc network name & add matrix room (dan.cermak)
- Add missing mock to osbs tests (lsedlar)
- osbs: Reuse images from old compose (hlin)
- image_build: Allow reusing old image_build results (hlin)
- Allow ISO-Level configuration within the config file (ounsal)
- Work around ODCS creating COMPOSE_ID later (lsedlar)
- When `cts_url` is configured, use CTS `/repo` API for buildContainer
  yum_repourls. (jkaluza)
- Add COMPOSE_ID into the pungi log file (ounsal)
- buildinstall: Add easy way to check if previous result was reused (lsedlar)

* Fri Sep 24 2021 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.0-3
- Backport patch for including COMPOSE_ID in logs
- Backport patch for odcs repo url via CTS

* Tue Sep 14 2021 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.0-2
- Backport ODCS workaround

* Fri Sep 10 2021 Lubomír Sedlář <lsedlar@redhat.com> - 4.3.0-1
- Only build CTS url when configured (lsedlar)
- Require requests_kerberos only when needed (lsedlar)
- Allow specifying $COMPOSE_ID in the `repo` value for osbs phase. (jkaluza)
- Make getting old compose config reusable (lsedlar)
- paths: Allow customizing log file extension (lsedlar)
- Add authentication for updating the compose URL in CTS. (ounsal)
- Enable pungi to send compose_url patches to CTS (ounsal)
- Use xorriso instead of isoinfo when createiso_use_xorrisofs is enabled
  (ounsal)
- Fix tests for createrepo (drumian)
- Formatted files according to flake8 and black feedback (drumian)
- Handle the pungi failures to ensure creation of log files (ounsal)
- Add createrepo_enable_cache to configuration doc (hlin)
- Fix formatting (hlin)
- Install missing deps in ci image (hlin)
- Use pytest directly incl. support for posargs, e.g.: tox -- -s -vvv
  tests/path/to/a/single/test_something.py (fvalder)
- Supersede ModuleStream loading with ModuleIndex (fvalder)
- Better error message than 'KeyError' in pungi (drumian)
- Adding multithreading support for pungi/phases/image_checksum.py (jkunstle)
- doc: more additional_packages documentation (kdreyer)
- doc: fix typo in additional_packages description (kdreyer)
- doc: improve signed packages retry docs (kdreyer)
- Better error message than 'KeyError' in pungi (drumian)
- doc: explain buildContainer API (kdreyer)

* Mon Aug 30 2021 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.10-2
- Backport osbuild patch

* Wed Aug 04 2021 Haibo Lin <hlin@redhat.com> - 4.2.10-1
- Show and log command when using the run_blocking_cmd() method (fdipretre)
- Use cachedir when createrepo (hlin)
- gather: Add all srpms to variant lookaside repo (lsedlar)
- Add task URL to watch task log (hlin)
- Log warning when module defined in variants.xml not found (hlin)
- pkgset: Compare future events correctly (lsedlar)
- util: Strip file:// from local urls (lsedlar)
- Clean up temporary yumroot dir (hlin)

* Thu May 06 2021 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.9-3
- Fix comparing koji events when old is actually in the future

* Thu May 06 2021 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.9-2
- Backport patch for file:// urls in lookaside

* Thu Apr 29 2021 Ondřej Nosek <onosek@redhat.com> - 4.2.9-1
- New upstream release 4.2.9
- Fix can't link XDEV using repos as pkgset_sources (romain.forlot)
- Updated the deprecated ks argument name (to the current inst.ks) (lveyde)
- gather: Adjust reusing with lookaside (hlin)
- hybrid: Optimize getting lookaside packages (lsedlar)
- gather: Copy old logs when reusing gather result (hlin)
- Cancel koji tasks when pungi terminated (hlin)
- Add Dockerfile for building testing image (hlin)
- image_container: Fix incorrect arch processing (lsedlar)
- runroot: Adjust permissions always (hlin)
- Format code (hlin)
- pkgset: Fix meaning of retries (lsedlar)
- pkgset: Store module tag only if module is used (lsedlar)
- Store extended traceback for gather errors (lsedlar)

* Tue Mar 09 2021 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.8-3
- Fix arch processing for image_container

* Thu Feb 18 2021 Ondřej Nosek <onosek@redhat.com> - 4.2.8-2
- Remove recently added python2-dnf dependency from RHEL7 part

* Fri Feb 12 2021 Ondřej Nosek <onosek@redhat.com> - 4.2.8-1
- New upstream release 4.2.8

* Thu Dec 03 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.7-1
- new version

* Mon Nov 30 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.6-8
- Refresh OSBuild patch
- Fix warnings about extra tokens at the end of else/end directive

* Wed Nov 25 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.6-7
- Update osbuild patch

* Wed Nov 25 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.6-6
- Fix osbuild patch

* Wed Nov 25 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.6-5
- Fix osbuild argument name

* Tue Nov 10 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.6-4
- Fix required version of productmd

* Tue Nov 10 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.6-3
- Backport buildinstall quoting patch

* Mon Nov 09 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.6-2
- Backport patches from upstream

* Wed Nov 04 2020 Bohdan Khomutskyi <bkhomuts@redhat.com> - 4.2.6-1
- New upstream release 4.2.6, which brings changes listed below:
- Allow setting int arguments for pungi-buildinstall plugin. (jkaluza)
- Use shlex_quote for complete --foo=bar argument. (jkaluza)
- Include images info in composeinfo.json (hlin)
- tests: Fix mock usage for Python 2 (lsedlar)
- Fix typo in config validation (lsedlar)

* Fri Sep 25 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.5-1
- New upstream release 4.2.5
- Bump productmd dependency to have development composes support

* Tue Sep 15 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.4-4
- Handle exceptions in pkgset phase

* Tue Aug 25 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.4-3
- Fix losing env vars for koji commands

* Thu Aug 20 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.4-2
- Fall back to rpm2cpio if rpm2archive fails

* Mon Aug 17 2020 Haibo Lin <hlin@redhat.com> - 4.2.4-1
- Allow setting CTS parent_compose_ids using --parent-compose-id option. (jkaluza)
- Replace -c parameter with --config (bkhomuts)
- doc: Update doc/contributing.rst (hlin)
- Use requirements.txt (hlin)
- Allow squashfs-only and configuration_file in lorax_options (bkhomuts)
- Hardlink or copy scratch builds always (hlin)
- Retry ostree installer task on losetup error (lsedlar)
- Use pytest instead of nosetests (hlin)
- Run tests via tox (hlin)
- Make sure old_repo_dir for reusing exists (hlin)
- Retry buildinstall tasks on losetup error (hlin)
- Allow including scratch module builds (hlin)
- Unpack RPMs using rpm2archive (lsedlar)
- Allow test calls in any order (lsedlar)
- Create arch repo when reusing failed (hlin)
- createiso: Ignore errors when deleting staging dir (hlin)
- Remove buffering when running koji commands (onosek)
- Fix typos (lsedlar)
- Check if composeinfo-base.json exists before creating it. (jkaluza)
- Port scripts/wait_for_signed_ostree_handler.py to fedora-messaging (pingou)
- Port scripts/fedmsg_notification.py to fedora-messaging (pingou)
- buildinstall: Improve error reporting when lorax fails (hlin)

* Wed Aug 05 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.3-5
- Update latest patch

* Tue Aug 04 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.3-4
- Retry ostree installer task

* Mon Aug 03 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.3-3
- Backport retries of lorax tasks

* Wed Jun 24 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.3-2
- Fix integration with ODCS and CTS

* Thu Jun 11 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.3-1
- Move test for unsigned packages with pkgset_koji_scratch_tasks to PkgsetPhase
  class. (jkaluza)
- Allow building compose with scratch builds defined by
  `pkgset_koji_scratch_tasks`. (jkaluza)
- createrepo: Allow making productid glob stricter (lsedlar)
- docs: Remove outdated note (lsedlar)
- createrepo: Add extra modulemd files to the repo (lsedlar)
- pkgset: handle exception when using dogpile cache (hlin)
- notification: Add compose_path into the messages (hlin)
- gather: handle mirrorlist in kickstart (frederic.pierret)
- Allow only creating unified ISO for specified arch (hlin)
- docs: update doc for gather_lookaside_repos option (hlin)
- Include the output of getisoimage in the error message (hlin)
- tests: Patch time in CTS related tests (lsedlar)
- Allow using Pungi Koji plugin for ostree phases. (jkaluza)
- Allow getting the compose id from CTS (Compose Tracking Service). (jkaluza)
- Fix flake8 issues (lsedlar)
- Optimize the _link_file function to not call os.stat redundantly. This will
  eliminate 2 calls to os.stat per one invocation of the _link_file function.
  Assuming during the compose build 50000 files are linked, this change will
  eliminate 100000 redundant calls to os.stat. (bkhomuts)
- doc: explain sigkey behavior (kdreyer)
- doc: explain tradeoffs with pkgset_allow_reuse (kdreyer)
- doc: fix grammar for pkgset_allow_reuse setting (kdreyer)
- Support --skip-branding option in lorax (hlin)
- docs: Embed phases.svg directly (hlin)
- Execute image_checksum phase right after the dependent phases (hlin)

* Fri Jun 05 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.2-3
- Make productid detection stricter

* Fri May 15 2020 Haibo Lin <hlin@redhat.com> - 4.2.2-2
- Support --skip-branding option in lorax

* Thu Apr 30 2020 Haibo Lin <hlin@redhat.com> - 4.2.2-1
- scm: Workaround incorrect permissions on created directory (lsedlar)
- Fix warning about productimg in skip_phases option (lsedlar)
- Add pkgset_allow_reuse option (hlin)
- Delete outdated comments (hlin)
- gather: Fix nodeps method to not prefix match (lsedlar)
- linker: Remove check after copying file (lsedlar)
- Stop creating iso_stage_dir before deleting (hlin)
- Allow reusing old buildinstall phase results. (jkaluza)
- ostree: set umask to be more permissive for ostree operations (dusty)
- Split repoclosure into separate phase (hlin)
- Break too long line (lsedlar)
- RCM-79601: Increase time delay in race condition (bsivasub)
- Allow gather phase reuse on `product_id` change. (jkaluza)
- Gather more debug data for GitWrapper clone (hlin)
- Reuse arch pkgset repos (hlin)
- Get non-rpm build to pungi's extra_files with inheritance (hlin)
- util: Fix regex for detecting debuginfo packages (lsedlar)

* Wed Apr 29 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.1-6
- Fix permissions on cloned repos

* Tue Apr 28 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.1-5
- Allow disabling pkgset reuse

* Tue Apr 21 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.1-4
- Fix prefix matching in nodeps gather method

* Mon Apr 20 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.1-3
- Remove redundant check from Linker

* Mon Mar 16 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.1-2
- Fix false positive debuginfo detection

* Fri Mar 13 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.1-1
- New upstream release

* Thu Mar 12 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.0-4
- Fix crashes in nodeps gather method

* Tue Mar 03 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.0-3
- Accept debuginfo in additional_packages

* Tue Feb 18 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.0-2
- Update dependencies

* Mon Feb 03 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.2.0-1
- iso: Clean up cache for guestmount (lsedlar)
- Remove deprecated warn() call (lsedlar)
- arch_utils: Fix ResourceWarnings (lsedlar)
- Add support for new Pungi Buildinstall Koji plugin. (jkaluza)
- Make --task-id mandatory in get_runroot_cmd (hlin)
- Wait on runroot tasks with wait-task command (hlin)
- pkgset: Ignore deleted module builds (hlin)
- Add tests for new exclude options (lsedlar)
- Remove invalid parameters from osbs config (hlin)
- pungi-gather: add options for excluding debug and source packages
  (frederic.pierret)
- Hide latest koji package via pkgset_koji_builds option (hlin)
- Add a new option for customizing version in .treeinfo (lsedlar)
- Kickstart on RHEL 7 does not have metalink attr (lsedlar)
- Support generating ISOs when using link_type="symlink". (jkaluza)
- pkgset: Hardlink downloaded packages (lsedlar)
- Check dependency of --just-phase (hlin)
- Update runroot_method documentation. (jkaluza)
- Remove productimg phase (hlin)
- Fix unified isos with missing images.json (lsedlar)
- Allow setting runroot_method per Pungi phase. (jkaluza)
- ostree: Fix arg passed to scm.get_dir_from_scm (hlin)
- Improve detection of lookaside packages (lsedlar)
- gather: Deduplicate packages before printing (lsedlar)
- Do not mention pdc_client when missing modulemd (hlin)
- gather: Improve logging for gathering (hlin)
- gather: handle metalink in kickstart repos (frederic.pierret)
- tests: drop sys.path modification (hlin)
- cleanup: refactor scripts via entry points (hlin)
- Avoid crash if a module is not available on all arches (lsedlar)
- Add version constraint to productmd dependency (lsedlar)
- Allow specifying temp dir in pungi-gather (frederic.pierret)

* Fri Jan 03 2020 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.41-4
- Fix invalid arguments when cloning from SCM
- Fix unified isos when image metadata is missing

* Tue Dec 17 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.41-3
- Better check for lookaside packages

* Thu Dec 12 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.41-2
- Deduplicate final set of packages after depsolving

* Tue Dec 03 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.41-1
- repoclosure: Parse all fus logs (lsedlar)
- runroot: Log different commands to different files (lsedlar)
- buildinstall: Log message for boot config change (hlin)
- livemedia: Remove title option (hlin)
- Make sure repoclosure cache cleaned when running as root (hlin)
- Prefix lookaside cache dir with compose id (hlin)
- Prefix repoclosure cache dir with compose id (hlin)
- hybrid: Download remote files when getting platform (lsedlar)
- tests: Add test for compose logger setup (hlin)
- pkgset: Fix running without any koji tags (lsedlar)
- Do not write images.json if all related phases skipped (hlin)
- gather: Do not write metadata if gather phase skipped (hlin)
- Write global metadata about extra files (lsedlar)
- scm: Add backend for downloading archives from Koji (lsedlar)
- Pass compose to SCM wrappers (lsedlar)
- Remove misleading warning about size of the ISO (hlin)
- Retry watching koji tasks on server outage (hlin)
- config-dump: Allow overwritting config via -e option (hlin)

* Tue Nov 26 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.40-6
- Fix bad reporting of errors in gather methods

* Thu Nov 21 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.40-5
- Fix log record non-existing argument

* Tue Nov 19 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.40-4
- Bump dependency on libmodulemd

* Tue Nov 19 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.40-3
- Download remote repodata

* Mon Nov 18 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.40-2
- Use fresh cache for each sequence of fus runs

* Wed Oct 23 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.40-1
- pkgset: Only reuse valid old repo (lsedlar)
- Clean up skipping phases (hlin)
- Fix crash on unsigned packages (hlin)
- doc: Make it clear that the field 'repo' has to be empty for 'file' backend
  (juliana.rodrigueiro)
- gather: Make depsolving parallel (hlin)
- doc: Add full examples of compose configuration (lsedlar)
- ostree-install: allow configuring additional depenencies for runroot
  (otaylor)
- buildinstall: Allow customizing dracut arguments (lsedlar)
- Use custom assertion for checking content of files (lsedlar)
- Drop custom ANY object (lsedlar)
- Remove usage of unittest2 on Python 3 (lsedlar)
- Remove shebangs from test files (lsedlar)
- gather: Resolve dependencies of debug packages (lsedlar)
- gather: Fix bare except block (lsedlar)
- gather: Fix formatting (lsedlar)
- gather: Simplify adding packages to result (lsedlar)
- gather: Remove unused import (lsedlar)
- Regenerate test fixture repo (lsedlar)
- Move import of modulemd to a separate module (lsedlar)
- ostree: Run commands in universal_newlines mode (lsedlar)
- pkgset: Allow filtering modules from Koji tags (lsedlar)
- pkgset: Initialize path_prefix to empty value (lsedlar)
- Allow loading overrides for module defaults (lsedlar)
- Move pkgset skipping logs to separate file (hlin)
- Fix crash when pkgset phase is skipped (lsedlar)
- Resolve symlinks to images (lsedlar)

* Wed Sep 25 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.39-5
- Only use libmodulemd2 on RHEL 7

* Wed Sep 25 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.39-4
- Update deps on libmodulemd

* Mon Sep 23 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.39-3
- Initialize path_prefix to empty value

* Thu Sep 19 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.39-2
- Fix crash with skipped pkgset phase

* Fri Sep 13 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.39-1
- Fix getting platforms from lookaside (lsedlar)
- extra-files: Simplify iterating over variants (lsedlar)
- createiso: Make media.repo sticky (lsedlar)
- hybrid: Re-add getting platform from lookaside repos (lsedlar)
- pkgset: Remove fast_merge method (lsedlar)
- Add test for materialized pkgset (lsedlar)
- Remove package whitelist (lsedlar)
- paths: Remove arch_repo path (lsedlar)
- gather: Remove use of arch_repo (lsedlar)
- ostree-installer: Remove usage of arch_repo (lsedlar)
- ostree: Remove arch_repo path usage (lsedlar)
- buildinstall: Remove arch_repo usage (lsedlar)
- createrepo: Remove arch_repo usage (lsedlar)
- Fix tests (lsedlar)
- pkgset: Update processing file cache (lsedlar)
- Remove pickling from source repos (lsedlar)
- gather: Port hybrid method (lsedlar)
- pkgset: Update Koji source to create multiple pkgsets (lsedlar)
- pkgset: Add object representing a package set on disk (lsedlar)
- pkgset: Add name to package set (lsedlar)
- paths: Add function to generate path to pkgset repo (lsedlar)
- Update code to pass around a list of pkgsets (lsedlar)
- Store the parsed variants for possible later re-use (riehecky)
- compose: additional logging on variants being processed (riehecky)
- Refactor code for removing repoclosure cache (hlin)
- Delete cache dirs even though repoclosure command failed (hlin)
- Delete lookaside cache dir (hlin)
- Delete repoclosure cache (hlin)
- Add function to get all arches in a compose (lsedlar)
- Remove not-used hack to workaround required option (lsedlar)
- pkgset: Create repos in a single place (lsedlar)
- pkgset: Added modules to variant in correct format (lsedlar)
- Add compose_id to repoclosure/lookaside directory names (hlin)
- Fix shadowed variable (lsedlar)
- Remove now unused msg variables (lsedlar)
- Remove debug mode (lsedlar)
- Remove dead code (lsedlar)
- pkgset: Check for empty module index (lsedlar)
- gather: Mark repos as containing module hotfixes (lsedlar)
- config: Deprecate bootable option (hlin)
- Use createrepo_checksum option instead of hardcoded sha256 (hlin)
- pkgset: Skip adding modulemd if there is none (lsedlar)
- test: Allow turning strictness off as well (lsedlar)
- Port to libmodulemd v2 (lsedlar)
- test: Option to make size check strict (lsedlar)
- gather: Remove unused argument (lsedlar)
- pkgset: Load modulemd only when needed (lsedlar)
- Stop storing modulemd without arch (lsedlar)
- Remove unused import (lsedlar)
- doc: Clarify relationship to Koji (lsedlar)
- gather: Correctly sort list with multiple data types (lsedlar)
- git-changelog: Fix running on Python 3 (lsedlar)

* Wed Sep 11 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.38-6
- Resolve symlinks to images

* Tue Sep 03 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.38-5
- Fix extra files on split ISOs

* Fri Aug 16 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.38-4
- gather: Mark repos as containing module hotfixes

* Mon Aug 05 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.38-3
- pkgset: Add modules to variant in correct format

* Thu Jul 11 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.38-2
- Removed version constraint on libmodulemd

* Tue Jul 02 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.38-1
- Remove remaining mentions of runroot option (lsedlar)
- pkgset: Include module metadata in the repos (lsedlar)
- config: Deprecate runroot option (hlin)
- Respect --nomacboot flag when calling isohybrid (dnevil)
- config: Keep known options defined on CLI (lsedlar)
- config-dump: Report better error for non-existing sources (lsedlar)
- config: Improve config validation for anyOf and oneOf (lsedlar)
- config-validate: Allow defining variables (lsedlar)
- config: Report validation warning if variants fail to load (lsedlar)
- Allow customizing nosetests command (lsedlar)
- scm: Close stdin of processing command (lsedlar)
- pkgset: Create arch repos in parallel (lsedlar)
- util: Resolve HEAD in repos that have a remote (lsedlar)
- tests: Avoid using threads in tests (lsedlar)
- pkgset: Use highest pickle protocol (lsedlar)
- gather: fix crash issue when gather_method = "nodeps" (hlin)
- pkgset: Check for unused module patterns across all tags (lsedlar)
- util: Fix offline resolving for scm dict (lsedlar)
- pkgset: Make serialization more resilient (lsedlar)
- fus: Support HTTP repos (lsedlar)
- config: Deprecate release_is_layered option (hlin)
- Remove unused variable (lsedlar)
- Whitespace fixes (lsedlar)
- Whitespace cleanup (lsedlar)
- Remove unused variables (lsedlar)
- Remove unused imports (lsedlar)

* Mon Jun 03 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.37-2
- Set correct nsvc for devel modules

* Mon May 27 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.37-1
- config-dump: Allow dumping config for multi compose (lsedlar)
- pkgset: Ignore modules without metadata in Koji (lsedlar)
- runroot: Remove useless argument output_path (lsedlar)
- buildinstall: Change owner of lorax logs (lsedlar)
- kojiwrapper: Allow changing mode of multiple files (lsedlar)
- buildinstall: Create toplevel directory on compose host (lsedlar)
- arch_utils: add Hygon Dhyana CPU support (fanjinke)
- gather: Introduce module source again (lsedlar)
- metadata: Include empty directories in metadata (lsedlar)
- gather: Relax validations on variant_as_lookaside (lsedlar)
- tests: Use correct Python interpreter (lsedlar)
- tests: Ignore warnings when running validation script (lsedlar)
- Remove invalid escape sequences (lsedlar)
- Fix issues in OpenSSH Runroot method found by real tests. (jkaluza)
- buildinstall: Copy files in thread (lsedlar)
- Fall back to C locale if UTF8 version does not exist (lsedlar)
- init: Create comps repos in parallel (lsedlar)
- Switch locale to C.UTF-8 (lsedlar)
- util: Resolve ref if duplicate branches are present (lsedlar)
- config: Fix getting default branch in SCM dict (lsedlar)
- comps-wrapper: Emit attributes sorted (lsedlar)
- patch-iso supports multiple graft directories (jkonecny)

* Wed May 15 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.36-7
- Backport patches for hybrid compose

* Tue Apr 30 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.36-6
- Do not overwrite version in module build

* Mon Apr 29 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.36-5
- Treat modular version as number for sorting

* Wed Apr 17 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.36-4
- Use absolute path for hardlink

* Wed Apr 17 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.36-3
- Add hard dependency on hardlink

* Tue Apr 16 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.36-2
- Run hardlink on staged ISO contents

* Fri Apr 12 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.36-1
- Extend "openssh" runroot_method to be able to execute "mock" (jkaluza)
- osbs: Rework configuration for image pushes (lsedlar)
- Add "openssh" runroot method (jkaluza)
- Fix printing version on Python 3 (lsedlar)
- config-dump: Fix crash when used without --define (lsedlar)
- setup: Fix missing comma in a list (lsedlar)
- config-dump: Allow defining variables on CLI (lsedlar)
- Update test data (lsedlar)
- gather: Use wildcard for repo selection (lsedlar)
- gather: Apply repo path substitutions for DNF backend (lsedlar)
- tests: Stop overwriting modulesdir for DNF (lsedlar)

* Tue Apr 02 2019 Lubomír Sedlář <lsedlar@redhat.com>
- Bump release after merge from eng-rhel-7

* Tue Mar 26 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.35-1
- orchestrator: Monitor status of parts (lsedlar)
- tests: Skip tests if libmodulemd is not available (lsedlar)
- pkgset: Refactor hiding unused modular packages (lsedlar)
- Remove configuration for devel modules (lsedlar)
- gather: Remove module source (lsedlar)
- createrepo: Stop processing modulemd (lsedlar)
- pkgset: Load final modulemd files from Koji (lsedlar)
- buildinstall: Allow overwriting version for lorax (lsedlar)
- Create new Runroot class and use it everywhere where runroot task is
  executed. (jkaluza)
- orchestrator: Send messages about the main compose (lsedlar)
- orchestrator: Support generic pre- and post- scripts (lsedlar)
- orchestrator: Support getting kerberos ticket (lsedlar)
- doc: explain koji_profile (kdreyer)
- pkgset: Stop loading list of module RPMs (lsedlar)
- pkgset: Only load cache once (lsedlar)
- Do not add pkgset_koji_builds to modules, but only to pkgset_koji_tag tags.
  (jkaluza)
- tests: fix metadata tests when SOURCE_DATE_EPOCH is set (marmarek)
- checks: Use GitResolver for scm dicts (lsedlar)

* Mon Mar 25 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.34-5
- Update spec to build on RHEL 8

* Thu Mar 07 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.34-4
- Don't retry git fetch

* Thu Mar 07 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.34-3
- Refactor handling debuginfo packages in hybrid solver

* Wed Mar 06 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.34-2
- Fix opening gzipped files on Py 2.6

* Tue Mar 05 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.34-1
- config: Allow validating configuration in JSON (lsedlar)
- image-build: Accept formats in lists (lsedlar)
- image-build: Resolve git ref in ksurl (lsedlar)
- Resolve git branches in scm_dict (lsedlar)
- util: Refactor resolving git url (lsedlar)
- scm-wrapper: Refactor getting files from Git (lsedlar)
- osbs: Fix wrong message in logs (lsedlar)
- orchestrator: Log exception to log file (lsedlar)
- config-dump: Allow freezing koji event (lsedlar)
- Read koji event from config file (lsedlar)
- image-build: Fix typo in file extension for vmdk image (lsedlar)
- osbs: Accept local paths as repo URLs (lsedlar)
- image-build: Support repo/install_tree as path (lsedlar)
- osbs: Remove format requirement for registry (lsedlar)
- Make the Apple/HFS compatibility configurable (lsedlar)
- update iso creation for ppc64le (dan)
- orchestrator: Use prefix for config substitutions (lsedlar)
- README: add link to documentation (kdreyer)

* Wed Feb 20 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.33-2
- Relax validation for OSBS registry config

* Wed Feb 13 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.33-1
- isos: Check maximum expected size (lsedlar)
- osbs: Process data about pushing images to registries (lsedlar)
- hybrid: Apply filters to debuginfo and source packages (lsedlar)
- hybrid: Get platform from lookaside repos (lsedlar)
- Return RPMs added to -devel module in GatherSourceModule. (jkaluza)
- Allow setting wildcard as a module name in variants to include all the
  modules. (jkaluza)
- gather: Link files in order for dependant variants (lsedlar)
- buildinstall: Pick correct config with rootfs_size (lsedlar)
- hybrid: Add packages from prepopulate to input (lsedlar)
- ostree_installer: Pass --buildarch to lorax (lsedlar)
- orchestrator: Add missing function arguments (lsedlar)
- orchestrator: Compatibility with Python 2.6 (lsedlar)
- pungi-legacy: expose lorax's --rootfs-size argument (frederic.pierret)
- Only require enum34 on Legacy Python (miro)
- ostree: Add test for expanding basearch for message (lsedlar)
- Make sure ${basearch} is also replaced with config['ostree_ref'] (patrick)

* Mon Feb 04 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.32-3
- Fix warnings about missing SRPMs for AppStream.aarch64 packages in RHEL 8

* Thu Jan 31 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.32-2
- Honor prepopulate in hybrid compose

* Thu Jan 10 2019 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.32-1
- Add script to orchestrate multiple composes (lsedlar)
- buildinstall: Expose lorax's --rootfs-size argument (lsedlar)
- Support for pungi-legacy with productmd format (frederic.pierret)
- Unify update-docs.sh script with rpkg (onosek)
- Remove createrepo references from doc and spec (lsedlar)
- CreaterepoWrapper: add 'basedir' and 'compress-type' args for createrepo_c
  (frederic.pierret)
- gather.py: use createrepo_c for creating repodata instead of obsolete
  createrepo python library (frederic.epitre)
- Fix import of ConfigParser for NoSectionError and NoOptionError
  (frederic.pierret)
- doc: explain product_id_allow_missing results in detail (kdreyer)
- doc: describe product_id's output and purpose (kdreyer)
- ostree: Send correct ref in the message (lsedlar)

* Mon Nov 26 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.31-1
- Add script to merge and dump multiple configuration files (lsedlar)
- Move resolving git reference to config validation (lsedlar)
- util: Add a cache for resolved git urls (lsedlar)
- Copy config files into logs/global/config-copy/ directory (mboddu)
- Remove timestamp from config dump (lsedlar)
- extra_iso: Support extra files in directory (lsedlar)
- extra_iso: Include extra_files.json metadata (lsedlar)
- Allow reading configuration from JSON (lsedlar)
- Cleanup parsing treefile (lsedlar)
- Fix convert rpm_ostree config to YAML (mboddu)
- koji_wrapper: Change owner of runroot output (lsedlar)
- util: Preserve symlinks when copying (lsedlar)
- Move from yaml.load to yaml.safe_load (patrick)
- extra_iso: Stop including variant extra files (lsedlar)
- gather: Expand wildcards in package names for nodeps (lsedlar)
- Configure image name per variant (lsedlar)
- init: Keep parent groups in addon comps environments (lsedlar)
- Support more specific config for devel modules (lsedlar)
- Load supported milestones from productmd (lsedlar)
- hybrid: Remove dead code (lsedlar)
- Remove dead code (lsedlar)

* Thu Nov 22 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.30-2
- Backport patch for devel modules

* Fri Oct 26 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.30-1
- gather: Expand wildcards in Pungi (lsedlar)
- repoclosure: Extract logs from hybrid solver (lsedlar)
- gather: Track multilib that doesn't exist (lsedlar)
- Get the NSVC from Koji module CG build metadata (jkaluza)
- extra_iso: Include media.repo and .discinfo (lsedlar)
- hybrid: Don't add debuginfo as langpacks (lsedlar)
- fus: Write solvables to file (lsedlar)
- hybrid: Honor filter_packages (lsedlar)
- Include all test fixtures in source tarball (lsedlar)
- extra-iso: Use correct efiboot.img file (lsedlar)
- extra-iso: Fix treeinfo (lsedlar)
- createiso: Move code for tweaking treeinfo into a function (lsedlar)
- extra-iso: Generate jigdo by default (lsedlar)

* Thu Oct 18 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.29-5
- Remove CRB packages from AppStream

* Tue Oct 16 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.29-4
- Drop memory saving code

* Mon Oct 15 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.29-3
- Fix too eager cleanup of variant pkgset

* Wed Oct 10 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.29-2
- Bump dependency on python-productmd

* Wed Oct 10 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.29-1
- hybrid: Only include modules that are not in lookaside (lsedlar)
- Try to be more conservative about memory usage (lsedlar)
- hybrid: Remove modules not listed by fus (lsedlar)
- gather: Make devel modules configurable (lsedlar)
- pkgset: Stop prefilling RPM artifacts (lsedlar)
- gather: Create devel module for each normal module (lsedlar)
- pkgset: Save package set for each module (lsedlar)
- fus: List lookaside repos first (lsedlar)
- gather: Work with repos without location_base (lsedlar)
- Remove extra dependencies (lsedlar)
- Set repodata mtime to SOURCE_DATE_EPOCH (marmarek)
- Make sure .treeinfo file is sorted (marmarek)
- Use constant MBR ID for isohybrid (marmarek)
- Use xorriso instead of genisoimage (marmarek)
- Use $SOURCE_DATE_EPOCH (if set) in discinfo file (marmarek)
- unified_isos: Add extra variants to metadata (lsedlar)
- extra_iso: Add list of variants to metadata (lsedlar)
- linker: Simplify creating pool (lsedlar)
- gather: Hide pid of fus process (lsedlar)
- fus: Strip protocol from repo path (lsedlar)
- Add 'pkgset_koji_builds' option to include extra builds in a compose
  (jkaluza)
- ostree: Reduce duplication in tests (lsedlar)
- ostree: Use --touch-if-changed (lsedlar)
- ostree: Fix handler crash without commit ID (lsedlar)
- gather: Filter arches similarly to pkgset (lsedlar)
- Stop shipping and remove RELEASE-NOTES (pbrobinson)

* Thu Sep 06 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.28-1
- gather: Fix multilib query for hybrid solver (lsedlar)
- gather: Expand multilib lists for hybrid method (lsedlar)
- Index arch modulemd by full NSVC (lsedlar)
- pkgset: Apply whitelist to modules in the tag (lsedlar)
- ostree: Wait for updated ref as well as signature (lsedlar)
- pkgset: Respect koji event when searching for modules (lsedlar)
- Use dogpile.cache to cache the listTaggedRPMS calls if possible (jkaluza)
- gather: Keep original rpms.json in debug mode (lsedlar)
- Reduce duplication in tests (lsedlar)
- docs: Add better description for package globs (lsedlar)
- Clean up after yum tests (lsedlar)
- Clarify error about non-existing module (lsedlar)
- gather: Print full unresolved dependency (lsedlar)

* Fri Aug 31 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.27-3
- Set unified flag for extra iso metadata

* Wed Aug 29 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.27-2
- Create non-bootable ISO for variant without buildinstall

* Fri Aug 17 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.27-1
- extra-iso: Rename test data file (lsedlar)
- createiso: Use correct python version (lsedlar)
- ostree: Update tests for working with YAML file (lsedlar)
- pungi/ostree: Convert rpm-ostree YAML to JSON (walters)
- createrepo: Allow passing arbitrary arguments (lsedlar)
- gather: Get modular packages from fus (lsedlar)
- util: Remove escaping spaces from volume ID (lsedlar)
- Allow removing non-alnum chars from volid (lsedlar)
- extra-isos: Include treeinfo pointing to all variants (lsedlar)
- createiso: Use unique paths for breaking hardlinks (lsedlar)
- gather: Detect hybrid variant with additional packages (lsedlar)
- Include exact version of pungi in the logs (mboddu)
- gather: Allow empty result for gather (lsedlar)
- gather: Add langpacks in hybrid solver (lsedlar)
- comps: Add get_langpacks function (lsedlar)
- pungi-legacy: Add --joliet-long option (lsedlar)
- Fix tests for DNF 3 (lsedlar)
- gather: Early exit for non-comps sources (lsedlar)
- tests: Use unittest2 when available (lsedlar)
- Fix Koji search for modules with dash in stream (jkaluza)
- buildinstall: Make output world readable (lsedlar)
- buildinstall: Copy file without preserving owner (lsedlar)
- Report failed failable deliverables as errors (lsedlar)
- Stop importing PDCClient (lsedlar)
- spec: build require python-multilib (lsedlar)

* Wed Aug 15 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.26-8
- Use correct python interpreter for getting lorax templates

* Wed Aug 08 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.26-7
- Include patches for hybrid depsolver

* Thu Aug 02 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.26-6
- Use unique paths for breaking hardlinks

* Tue Jul 31 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.26-5
- Honor module whitelist

* Thu Jul 26 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.26-4
- Fix dependency on python-multilib

* Thu Jul 26 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.26-3
- Fix detection of hybrid variant without comps groups

* Wed Jul 18 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.26-2
- Fix koji search for modules with dash in stream

* Mon Jul 16 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.26-1
- gather: Add a hybrid depsolver backend (lsedlar)
- Always use lookasides for repoclosure (lsedlar)
- doc: closing parentheses for require_all_comps_packages (kdreyer)
- osbs: Generate unique repo names (lsedlar)
- Expand version field during image_build using version_generator (sinny)
- createrepo: Stop including modulemd in debug repos (lsedlar)
- Simplify iterating over module defaults (lsedlar)
- init: Validate whitespace in comps groups (lsedlar)
- createrepo: Include empty modules (lsedlar)
- createiso: Break hardlinks by copying files (lsedlar)
- config: Report variants validity issues (lsedlar)
- variants: Reject values with whitespace (lsedlar)
- osbs: Fresh koji session for getting metadata (lsedlar)
- gather: Ignore comps in lookaside repo (lsedlar)
- init: Test that init phase correctly clones defaults (lsedlar)
- init: Add tests for cloning module defaults (lsedlar)
- init: Add validation for module defaults (lsedlar)
- ostree-installer: Skip comps repo if there are no comps (lsedlar)
- Update virtualenv instructions (lsedlar)
- Allow extracting koji event from another compose (lsedlar)
- Copy modules instead of reparsing them (sgallagh)
- Silence config warnings in quiet mode (lsedlar)
- kojiwrapper: Make result of runroot world readable (lsedlar)
- osbs: Add nvr to metadata (lsedlar)
- Always get old compose with release type suffix (patrick)
- Make ostree_installer check if buildinstall is skipped correctly (puiterwijk)

* Fri Jul 13 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.25-8
- Make buildinstall output world readable

* Thu Jul 12 2018 Lubomír Sedlář <lsedlar@redhat.com>
- Actually add the patches

* Thu Jul 12 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.25-6
- Stop preserving owner when copying buildinstall files

* Thu Jul 12 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.25-5
- Make runroot generated files world readable

* Tue Jun 26 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.25-4
- Actually add the patches

* Mon Jun 25 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.25-3
- Query Koji instead of PDC for module data
- Exclude filtered modular RPMs from pkgset completely

* Fri Jun 22 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.25-2
- Include empty modules in repo
- Add license information to module metadata

* Wed May 02 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.25-1
- koji-wrapper: Log failed subtasks (lsedlar)
- Update compose status when config validation fails (lsedlar)
- pkgset: Allow different inheritance for modules (lsedlar)
- ostree: Recognize force_new_commit option in old config (lsedlar)
- modules: Correctly report error for unexpected modules (lsedlar)
- modules: Allow context in variants XML (lsedlar)
- gather: Print profiling information to stderr (lsedlar)
- pkgset: Stop creating database for repodata (jkaluza)
- gather: Use another variant as lookaside (lsedlar)
- buildinstall: Use metadata if skipped (lsedlar)
- Allow reusing pkgset FileCache from old composes. (jkaluza)
- validation: Populate dict of all variants (lsedlar)
- gather: Stop pulling debuginfo and source for lookaside packages (lsedlar)
- Only use comps repo if we really have comps (lsedlar)
- pkgset: Use modules PDC API (lsedlar)
- Access ci_base date via compose (puiterwijk)
- Allow filtering comps for different variants (lsedlar)
- comps: Make filtering by attribute more generic (lsedlar)
- pkgset: Dump downloaded modulemd to logs (lsedlar)
- Fix PEP8 warning about if not x in y (lsedlar)
- Variant as a lookaside - configuration (onosek)
- Remove comps from arch repo (lsedlar)
- init: Stop creating module defaults dir twice (lsedlar)
- gather: Reduce logs from DNF gathering (lsedlar)
- Clone module defaults into work/ directory (lsedlar)
- Update the configuration JSON schema for module_defaults_dir (contyk)
- Update configuration docs with module_defaults_dir (contyk)
- Handle relative paths in module_defaults_dir (contyk)
- Include module defaults in the repodata (contyk)
- Add *.in fixtures to tarball (lsedlar)
- init: Always filter comps file (lsedlar)
- docs: Describe comps processing (lsedlar)
- gather: Use comps for given variant (lsedlar)
- docs: Fix typo (lsedlar)
- Add all packages to whitelist for hybrid variant (lsedlar)
- comps: Add tests for CompsFilter (lsedlar)
- comps: Move filtering into wrapper module (lsedlar)
- Tests fail if unittest2 library is missing (onosek)
- Add unittest2 and rpmdevools to contributing doc (rmarshall)
- pkgset: Construct UID for PDC modules (lsedlar)
- gather: Simplify creating temporary directory (lsedlar)
- buildinstall: Add extra repos (lsedlar)
- tests: Use dummy modulesdir for DNF (lsedlar)
- Update tests for Python 2.6 (onosek)
- Add metapackage for installing modular dependencies

* Thu Apr 26 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.23-8
- Allow context in variants XML
- Previous two patches are removed

* Wed Apr 25 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.23-7
- pkgset: Stop creating database for repodata

* Mon Apr 23 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.23-6
- Allow reusing pkgset FileCache from old composes

* Thu Apr 19 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.23-5
- Stop pulling debuginfo packages from lookaside

* Thu Apr 12 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.23-4
- Stop creating module defaults dir twice

* Thu Apr 12 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.23-3
- Fix package whitelist for hybrid variant
- Include module defaults

* Fri Apr 06 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.23-2
- Construct UID for PDC modules

* Thu Mar 29 2018 Ondřej Nosek <onosek@redhat.com> - 4.1.23-1
- Update documentation section 'contributing' (onosek)
- Write module metadata (onosek)
- Support multilib in GatherSourceModule (jkaluza)
- ostree: Always substitute basearch (lsedlar)
- If sigkeys is specified, require at least one (puiterwijk)
- Allow setting <kojitag/> in <modules/> in variants.xml to get the modules
  from this Koji tag. (jkaluza)
- Move Modulemd import to pungi/__init__.py to remove duplicated code.
  (jkaluza)
- Use Modulemd.Module for 'variant.arch_mmds' instead of yaml dump (jkaluza)
- Fix modular content in non-modular variant (lsedlar)
- Remove the filtered RPMs from module metadata even in case all RPMs are
  filtered out. (jkaluza)
- pkgset: Allow empty list of modules (lsedlar)
- buildinstall: Add option to disable it (lsedlar)
- Use libmodulemd instead of modulemd Python module (jkaluza)
- gather: Fix package set whitelist (lsedlar)
- pkgset: Merge initial package set without checks (lsedlar)
- pkgset: Remove check for unique name (lsedlar)
- gather: Honor package whitelist (lsedlar)
- Write package whitelist for each variant (lsedlar)
- image-build: Accept tar.xz extension for docker images (lsedlar)
- pkgset: Correctly detect single tag for variant (lsedlar)
- Remove comps groups from purely modular variants (lsedlar)
- gather: Allow filtering debuginfo packages (lsedlar)
- Move ostree phase and pipelines for running phases (onosek)
- Other repo for OstreeInstaller (onosek)
- Add modulemd metadata to repo even without components (jkaluza)
- Correct fix for volume ID substition sorting by length (awilliam)
- Ordering processing for volume ID substitutions (onosek)
- Disable multilib for modules (jkaluza)
- scm: Stop decoding output of post-clone command (lsedlar)
- Remove useless shebang (lsedlar)
- source_koji.py: Properly handle unset pkgset_koji_tag (otaylor)
- pkgset: Only use package whitelist if enabled (lsedlar)
- Fail early if input packages are unsigned (jkaluza)
- Allow composing from tag with unsigned packages (jkaluza)
- Ostree can use pkgset repos (onosek)
- Support multiple sources in one variant (lsedlar)
- gather: Set lookaside flag focorrectly (lsedlar)
- gather: Try getting srpm from the same repo as rpm (lsedlar)
- Minor correction for python backward compatibility (onosek)

* Wed Feb 14 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.22-3
- pkgset: Only use package whitelist if enabled

* Tue Feb 13 2018 Lubomír Sedlář - 4.1.22-2
- Allow composing from tag with unsigned packages

* Wed Jan 24 2018 Ondrej Nosek - 4.1.22-1
- Better INFO messages about modules (onosek)
- Updates composes should be marked as supported (lsedlar)
- pkgset: Only add missing packages from global tag (lsedlar)
- ostree/utils: Drop timestamps from generated repo names - tests (onosek)
- ostree/utils: Generate a single pungi.repo file, use repo-<num> IDs (walters)
- ostree/utils: Drop timestamps from generated repo names (walters)
- gather: Do not require variant for module source (lsedlar)
- gather: Comps source should not crash without comps file (lsedlar)
- gather: JSON source returns nothing without configuration (lsedlar)
- buildinstall: Fix treeinfo generating on failure (lsedlar)
- Add buildinstall_use_guestmount boolean option (jkaluza)
- gather: Use arch packages in nodeps method (lsedlar)
- pkgset: Always use global tag if specified (lsedlar)
- config: Make pkgset_koji_tag optional (lsedlar)
- ostree: Add force_new_commit option - test added (onosek)
- ostree: Add force_new_commit option (walters)
- gather: Fix checking string type (lsedlar)
- Improve logging for unsigned packages (onosek)
- Fall back to mount if guestmount is not available (onosek)
- El-Torito boot information on s390x (onosek)
- Remove strace from buildinstall runroot (onosek)
- doc: fix "Miscellaneous" spelling in Config section (kdreyer)
- doc: move "Phases" up, "Contributing" down (kdreyer)

* Mon Jan 22 2018 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.21-3
- Update composes are supported

* Thu Dec 14 2017 Ondrej Nosek - 4.1.21-2
- El-Torito boot information on s390x

* Wed Dec 06 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.21-1
- tests: Use correct python version for config validation test (lsedlar)
- Use dnf backend for repoclosure on PY3 (lsedlar)
- Drop checks for git and cvs (lsedlar)
- Relax check for gettext (lsedlar)
- Drop check for repoquery command (lsedlar)
- Use modifyrepo_c if possible (lsedlar)
- pkgset: Add SRPMs to whitelist (lsedlar)
- modules: Allow multilib (lsedlar)
- add ability to specify ostree ref in OSTREE phase - update (onosek)
- add ability to specify ostree ref in OSTREE phase (onosek)
- buildinstall: Allow using external dire for runroot task (jkaluza)
- pkgset: Remove package skip optimization for bootable products (lsedlar)
- Add documentation for modular composes (lsedlar)
- osbs: Get correct path to repo for addons (lsedlar)
- Remove deprecated options (onosek)
- module-source: Log details about what packages are gathered (lsedlar)
- gather: Log details about nodeps method (lsedlar)
- gather: get_packages_to_gather returns a tuple (lsedlar)
- iso-wrapper: Fix calling wrong logger method (lsedlar)
- Turn COMPOSE_ID version generator into DATE_RESPIN (puiterwijk)
- iso-wrapper: Remove hacks for sorting (lsedlar)
- Report missing module dependencies earlier (lsedlar)
- Implement version.compose_id version generator (patrick)
- Optionally do old_compose per release type (patrick)

* Mon Nov 27 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.20-4
- Fix bootable nodeps composes

* Wed Nov 22 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.20-3
- Drop dependency on libguestfs-tools-c

* Mon Nov 13 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.20-2
- Fix minor issues discovered while testing hybrid composes

* Thu Nov 02 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.20-1
- image-build: Drop suffixes from configuration (lsedlar)
- kojiwrapper: Deal with multiple values for image-build (lsedlar)
- Add modulemd to the missing module error (patrick)
- notification: Add more info into the messages (lsedlar)
- notification: Fix running on Python 3 (lsedlar)
- remove remaining hard coded createrepo threads (onosek)
- tests: Fix remaining missing assertions (lsedlar)
- tests: Work with older unittest2 (lsedlar)
- tests: Skip testing pdc logs if dependencies are not installed (lsedlar)
- Log PDC communications and info for modular composes (dowang)
- Update documentation section "Contributing to Pungi". (onosek)
- Reject yum gather backend on Python 3 (lsedlar)
- Stop using deprecated pipes.quote (lsedlar)
- Convert configparser values to string (lsedlar)
- Explicitly decode test files as UTF-8 (lsedlar)
- Use universal_newlines when running other commands (lsedlar)
- Port to Python 3 (lsedlar)
- checks: Use list of release types from productmd (patrick)
- Add an option to make pungi-koji print its compose_dir to stdout (patrick)
- buildinstall: Expose template arguments for lorax (lsedlar)
- Catch the issue when PDC does not contain RPMs, but the module definition
  says there should be some. (jkaluza)
- pkgset: Cherry-pick packages from Koji when we know already what packages
  will end up in compose (jkaluza)
- pkgset: Clean up path generation (lsedlar)
- createiso: Fix logging for media split (lsedlar)
- Raise the Exception when a symlink cannot be created. (randy)
- Use variant UID for subvariant fallback (lsedlar)
- Fixup for opening config dumps (lsedlar)
- Open and close file descriptors. (rbean)
- live-images: Honor global settings for target (lsedlar)
- unified-isos: Stop erasing metadata on failure (lsedlar)
- Add directory name for checksum file (lsedlar)
- createrepo: Allow customizing number of threads (lsedlar)
- Make ostree installer before cloud images (lsedlar)

* Mon Oct 23 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.19-4
- Add support for new module naming policy

* Thu Oct 19 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.19-3
- Allow comps_file for any gather source

* Mon Oct 16 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.19-2
- gather: Nodeps should allow noarch packages
- pkgset: Allow unsigned packages by empty key

* Wed Sep 20 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.19-1
- docs: Mention how input package list are interpreted (lsedlar)
- Fix pungi-koji --version (dowang)
- profiler: Fix sorting on Python 3 (lsedlar)
- util: Fix timezone offset (lsedlar)
- gather(dnf): Remove dead code (lsedlar)
- gather(dnf): Don't exclude packages from lookaside (lsedlar)
- gather(yum): Don't exclude packages from lookaside (lsedlar)
- gather: Add tests for excluding packages from lookaside (lsedlar)
- gather: Capture broken deps in test (lsedlar)
- gather-dnf: Warn about unresolvable dependencies (lsedlar)
- Fix formatting timezone offset (lsedlar)
- Add timezone info into logs (lsedlar)
- log: save imported config files too (qwan)
- ostree-installer: Only run on empty variants (lsedlar)
- Allow extracting profiling information from pungi-gather. (rbean)
- createrepo: Only consider successful compose for deltas (lsedlar)
- createrepo: Allow selecting variants for delta RPMs (lsedlar)
- createrepo: Only create delta RPMs for binary repos (lsedlar)
- image-build: add arch name(s) in image config file name (qwan)
- Check for correct string class (lsedlar)
- Open files as binary where needed (lsedlar)
- buildinstall: No copy if task fails (lsedlar)
- config: Allow setting default compose type (lsedlar)
- Use Py3-compatible exception handling (lsedlar)
- Use Python 3 print function (lsedlar)
- docs: Abort update script on error (lsedlar)

* Tue Sep 05 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.18-2
- New upstream release 4.1.18

* Mon Sep 04 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.17-4
- Add arch to image-build config file name

* Tue Aug 29 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.17-3
- Fix crash with no checksums in unified iso script

* Thu Aug 17 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.17-2
- gather: Stop requiring comps file in nodeps

* Mon Jul 17 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.17-1
- checksum: Checksum each image only once (lsedlar)
- checksum: Refactor creating checksum files (lsedlar)
- createrepo: Don't use existing metadata with deltas (lsedlar)
- util: Fix finding older compose (lsedlar)
- createrepo: Use correct paths for old package dirs (lsedlar)
- spec: Add missing ostree signature waiting handler (lsedlar)
- docs: Minor improvements to documentation (lsedlar)
- ostree: Add notification handler to wait for signature (lsedlar)
- ostree: Add URL to repo to message (lsedlar)
- gather: nodeps should take packages from comps groups (lsedlar)
- unified-iso: handle empty arch (kdreyer)
- createrepo: handle missing product ids scm dir (kdreyer)
- comps_wrapper: Code clean up (lsedlar)
- comps_filter: Filter environments by arch (pholica)
- notification: Allow specifying multiple scripts (lsedlar)
- pkgset: Allow populating packages from multiple koji tags (qwan)
- pungi: Port to argparse (lsedlar)
- comps_filter: Port to argparse (lsedlar)
- variants-wrapper: Remove main() function (lsedlar)
- multilib_yum: Remove main() function (lsedlar)
- pungi-koji: Port to argparse (lsedlar)
- ostree: Update tests for no ostree init (lsedlar)
- ostree: Don't automatically create a repo (walters)
- osbs: Config validation should accept a list (lsedlar)
- pkgset: Use release number of a module (mcurlej)
- docs: Add a basic info about gathering packages (lsedlar)
- docs: Kobo can be installed via pip now (lsedlar)
- docs: Add overview of what each phase does (lsedlar)
- gather: Log tag from which we pulled a package (lsedlar)
- docs: Document config file format (lsedlar)
- docs: Move logo to _static subdir (lsedlar)
- gather: Display source repo of packages (lsedlar)
- pkgset: Use descriptive name for log file (lsedlar)
- ostree-installer: Clean up output dir (lsedlar)
- Ignore more pycodestyle warnings (lsedlar)
- Allow gather source classes to return SimpleRpmWrapper objects from pkgset
  phase directly. (jkaluza)
- tests: use unittest2 if available (lsedlar)
- Add dropped livemedia phase
- Handle failed subtasks when getting Koji results

* Fri Jun 23 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.16-2
- Accept multiple configs for OSBS

* Mon Jun 12 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.16-1
- Fix changelog generator script (lsedlar)
- util: Retry resolving git branches (lsedlar)
- arch: Move exclu(de|sive)arch check to a function (lsedlar)
- gather-source: Check arch in module source (jkaluza)
- Ensure all phases are stopped (lsedlar)
- comps-wrapper: Report unknown package types (lsedlar)
- Generate proper modular metadata when there are different versions of the
  same package in the variant (jkaluza)
- checks: Make gpgkey a boolean option (lsedlar)
- ostree: Refactor writing repo file (lsedlar)
- iso-wrapper: Capture debug information for mounting (lsedlar)
- gather: Don't resolve dependencies in lookaside (lsedlar)
- koji-wrapper: Run all blocking commands with fresh ccache (lsedlar)
- Add @retry decorator and use it to retry connection on PDC on IOError and in
  SCM's retry_run. (jkaluza)
- Remove shebang from non-executable files (lsedlar)

* Thu Jun 08 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.15-4
- Stop mangling env variables in koji wrapper

* Thu May 25 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.15-3
- Move back to python-mock

* Thu May 18 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.15-2
- Fix crash on conditional packages

* Wed May 10 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.15-1
- pkgset: Remove use of undefined variable (lsedlar)
- Store RPM artifacts in resulting repository in modulemd metadata. (jkaluza)
- variants: Remove redundant check (lsedlar)
- compose: Stop duplicating variant types (lsedlar)
- gather: Remove handling of impossible state (lsedlar)
- gather: Clean up code (lsedlar)
- gather: Add tests for gather phase (lsedlar)
- scm-wrapper: Remove unused arguments (lsedlar)
- tests: Avoid creating unused temporary files (lsedlar)
- tests: Clean up persistent temporary data (lsedlar)
- docs: Add a logo on the About page (lsedlar)
- docs: Document origin of the name (lsedlar)
- gather-dnf: Log exact Requires pulling a package in (lsedlar)
- gather: Print specific Requires which pulls a package in (lsedlar)
- gather: Process dependencies sorted (lsedlar)
- koji-wrapper: Run koji runroot with fresh credentials cache (lsedlar)
- util: Move get_buildroot_rpms to koji wrapper (lsedlar)
- osbs: Make git_branch required option (lsedlar)
- docs: Update createrepo_checksum allowed values (lsedlar)
- extra-files: Allow configuring used checksums (lsedlar)
- doc: Document options for media checksums (lsedlar)
- config: Add sha512 as valid createrepo checksum (lsedlar)
- util: Report better error on resolving non-existing branch (lsedlar)
- util: Show choices for volid if all are too long (lsedlar)
- checks: Fix anyOf validator yield ValidationError on ConfigOptionWarning
  (qwan)
- comps-wrapper: Reduce duplication in code (lsedlar)
- comps-wrapper: Port to libcomps (lsedlar)
- comps-wrapper: Sort langpacks by name (lsedlar)
- comps-wrapper: Minor code cleanup (lsedlar)
- comps-wrapper: Add tests (lsedlar)
- comps-wrapper: Fix uservisible not being modifiable (lsedlar)
- comps-wrapper: Return IDs instead of yum.comps.Group (lsedlar)
- comps-wrapper: Remove unused code (lsedlar)
- Be explicit about generating release for images (lsedlar)
- docs: Add examples for generated versions (lsedlar)
- ostree: Autogenerate a version (lsedlar)
- Expand compatible arches when gathering from modules. (rbean)
- gather: Clean up method deps (lsedlar)
- gather: Report error if there is no input (lsedlar)
- init: Warn when variants mentions non-existing comps group (lsedlar)
- Fix createrepo issue for modular compose when multiple threads tried to use
  the same tmp directory. (jkaluza)
- unified-iso: Use different type for debuginfo iso (lsedlar)
- unified-iso: Handle missing paths in metadata (lsedlar)
- unify repo and repo_from options (qwan)
- Fix some PEP8 errors in util.py (qwan)
- move translate_path from paths.py to util.py (qwan)
- checks.py: support 'append' option (qwan)
- checks.py: show warning message for alias option (qwan)

* Thu Apr 06 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.14-2
- Fix unique contraint on debug unified isos

* Tue Mar 28 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.14-1
- Not create empty skeleton dirs for empty variants (qwan)
- Query only active modules in PDC. (jkaluza)
- Save modules metadata as full yaml object (jkaluza)
- Implement DNF based depsolving (dmach, mmraka, lsedlar)
- Add support for modular composes (jkaluza)
- Add a script for modifying ISO images (lsedlar)
- iso-wrapper: Add utility for mounting images (lsedlar)
- buildinstall: Move tweaking configs into a function (lsedlar)
- image-build: Correctly write can_fail option (lsedlar)
- pungi-koji: new cmd option '--latest-link-status' (qwan)
- Print task ID for successful tasks (lsedlar)
- ostree-installer: Fix logging directory (lsedlar)
- buildinstall: Print debug info if unmount fails (lsedlar)
- pkgset: report all unsigned packages (qwan)
- default createrepo_checksum to sha256 (qwan)
- unified-iso: Log better error when linking fails (lsedlar)
- unified-iso: Blacklist extra files metadata (lsedlar)
- buildinstall: Retry unmounting image (lsedlar)
- Remove indices from documentation (lsedlar)
- iso-wrapper: Handle wrong implant md5 (lsedlar)
- image-build: Remove check for number of images (lsedlar)
- Extract only first version from specfile (lsedlar)
- consolidate repo option names (qwan)
- checks: extend validator with 'alias' (qwan)
- osbs: write manifest for scratch osbs (qwan)

* Mon Mar 13 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.13-2
- Exclude extra_files.json from unified iso

* Mon Mar 06 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.13-1
- Make MANIFEST.in stricter (qwan)
- Remove one line of log print (qwan)
- gather: Filter comps group on depsolving input of optional (lsedlar)
- Enable customizing runroot task weight (lsedlar)
- comps: Filter comps groups for optional variants (lsedlar)
- Rename main logger (lsedlar)
- ostree: Silence logger in tests (lsedlar)
- ostree: Fix crash when extra repos are missing (lsedlar)
- util: Add a utility for managing temporary files (lsedlar)
- Add --quiet option to pungi-koji (qwan)
- handle opening empty images.json while re-running pungi-koji in debug mode
  (qwan)
- minor change: remove an always true condition (qwan)
- Refactor depsolving tests (lsedlar)
- multilib: Remove FileMultilibMethod class (lsedlar)
- pkgset: Use additional packages for initial pull (lsedlar)
- metadata: Fix .treeinfo paths for addons (lsedlar)
- koji_wrapper: Always use --profile option with koji (lsedlar)
- add missing koji_profile from test compose setting (dennis)
- use koji --profile when calling koji for livemedia (dennis)
- repoclosure: Don't run build deps check (lsedlar)
- repoclosure: add option to use dnf backend (lsedlar)
- repoclosure: Add test for repoclosure in test phase (lsedlar)
- repoclosure: Remove duplicated code (lsedlar)
- repoclosure: Remove useless wrapper class (lsedlar)
- repoclosure: Remove unused code (lsedlar)
- repoclosure: Add a test for the wrapper (lsedlar)
- image-build: Pass arches around as a list (lsedlar)
- image-build: Expand arches for can_fail (lsedlar)
- image_checksum: add file sizes to checksum files (qwan)
- Add documentation and example for greedy_method (lsedlar)
- replace ${basearch} when updating the ref (dennis)
- Add some debugging about ref updating (puiterwijk)

* Mon Feb 27 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.12-4
- Fix .treeinfo paths for addons

* Mon Feb 27 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.12-3
- Filter comps group on depsolving input of optional

* Tue Feb 21 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.12-2
- Filter comps for optional variants

* Wed Jan 18 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.12-1
- new upstream release

* Wed Jan 04 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.11-6
- metadata: Correctly parse lorax .treeinfo

* Wed Jan 04 2017 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.11-5
- config: Report unknown options as warnings

* Tue Dec 13 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.11-4
- Revert using libguestfs-tools-c

* Tue Dec 13 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.11-3
- Added explicit dependency on latest python-productmd
- Added missing dependency on libguestfs-tools-c

* Thu Dec 01 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.11-2
- Add backported patches
- Allow building images for nested variants
- Add ci as valid compose type
- Correctly handle missing SRPMs
- Print better error message when spliting bootable media

* Wed Nov 23 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.11-1
- New upstream version

* Wed Nov 09 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.9-3
- Allow building images for addons

* Thu Oct 20 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.9-2
- Rebase patches

* Tue Oct 18 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.9-1.4
- Stop splitting binary ISOs

* Tue Oct 18 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.9-1.3
- Add paths module for RHEL 6
- Correctly clone .treeinfo for buildinstall

* Mon Oct 17 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.9-1.2
- Fix ISO naming for integrated layered products

* Mon Oct 17 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.9-1.1
- Performance fix, buildinstall basearch fix

* Thu Sep 22 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.9-1
- ostree_installer: Add --isfinal lorax argument (lsedlar)
- Recreate JSON dump of configuration (lsedlar)
- variants: Allow multiple explicit optional variants (lsedlar)
- checksums: Never skip checksumming phase (lsedlar)
- [linker] Remove dead code (lsedlar)
- [linker] Add tests (lsedlar)
- Dump original pungi conf (cqi)
- ostree: Add tests for sending ostree messages (lsedlar)
- Send fedmsg message on ostree compose finishg (puiterwijk)
- createrepo: Add option to use xz compression (lsedlar)
- Allow user to set a ~/.pungirc for some defaults (riehecky)
- metadata: Improve error reporting on failed checksum (lsedlar)
- extra-files: Write a metadata file enumerating extra files (jeremy)
- Automatically generate missing image version (lsedlar)
- Add JSON Schema for configuration (lsedlar)
- Allow arbitrary arguments in make test (lsedlar)
- createiso: Report nice error when tag does not exist (lsedlar)
- Fix test data build script (lsedlar)
- [osbs] Add NVRA of created image into main log (lsedlar)
- [createiso] Remove unused script (lsedlar)
- Update doc about generating release value (lsedlar)
- Use label to populate image release (lsedlar)
- doc: Fix example for image_build (lsedlar)
- Ignore module imports not at top of file (lsedlar)
- [buildinstall] Fix cleaning output dir (lsedlar)
- Remove unused imports (lsedlar)
- [test] Make image test at end of compose less strict (lsedlar)
- [iso] Fix check on failable ISO (lsedlar)
- Add full Pungi version to log output (lsedlar)
- Fix config validation script (lsedlar)
- [osbs] Convert build_id to int (lsedlar)
- [image-build] Get failable config from correct place (lsedlar)

* Mon Sep 19 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.8-3
- Remove conditionals for building on Fedora
- Only require lorax on RHEL 7

* Tue Aug 30 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.8-2
- Set koji dependency

* Thu Aug 11 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.1.8-1
- new upstream version
- add patch to fix getting buildinfo from OSBS builds

* Tue Jun 28 2016 Lubomír Sedlář <lsedlar@redhat.us> - 4.1.7-1
- Merge 4.1.7 version from Fedora

* Wed May 25 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.0.16-2
- Add patches for Python 2.6

* Tue May 24 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.16-1
- [ostree-installer] Allow using external repos as source (lsedlar)
- [image-build] Allow using external install trees (lsedlar)
- Add type to base product for layered releases (lsedlar)
- [util] Resolve git+https URLs (lsedlar)
- add patch to allow git+https:// urls to work

* Tue May 17 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.0.15-3
- Update dependencies: RHEL has older lorax, repoview is not needed

* Mon May 16 2016 Lubomír Sedlář <lsedlar@redhat.com> - 4.0.15-2
- Update packaging

* Fri Apr 29 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.15-1
- [createiso] Add back running isohybrid on x86 disk images (dennis)
- [createiso] Remove chdir() (lsedlar)
- Pungi should log when it tries to publish notifications. (rbean)
- [createrepo] Use more verbose output (lsedlar)
- [ostree-installer] Drop filename setting (lsedlar)
- [ostree] Set each repo to point to current compose (lsedlar)
- [ostree-installer] Install ostree in runroot (lsedlar)
- [pkgset] Print more detailed logs when rpm is not found (lsedlar)
- [ostree-installer] Clone repo with templates (lsedlar)

* Mon Apr 18 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.14-4
- add patch for ostree installer filename
- add patch to make sure the repo urls are set for ostree

* Tue Apr 12 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.14-3
- add patch to make sure that ostree is in the ostree_installer runroot

* Mon Apr 11 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.14-2
- add patch to print more infor for missing rpms
- add patch to clone repo with extra lorax templates for ostree_installer

* Fri Apr 08 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.14-1
- [ostree-installer] Copy all lorax outputs (lsedlar)
- [ostree] Log to stdout as well (lsedlar)
- [ostree-installer] Use separate directory for logs (lsedlar)
- [ostree-installer] Put lorax output into work dir (lsedlar)
- [ostree] Add test check for modified repo baseurl (lsedlar)
- [ostree] Move cloning repo back to compose box (lsedlar)
- [ostree] Mount ostree directory in koji (lsedlar)

* Wed Apr 06 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.13-2
- make sure that the shebang of pungi-pylorax-find-templates is python3

* Wed Apr 06 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.13-1
- [ostree] Enable marking ostree phase as failable (lsedlar)
- [koji-wrapper] Initialize wrappers sequentially (lsedlar)
- [createiso] Simplify code, test phase (lsedlar)
- [createiso] Move runroot work to separate script (lsedlar)
- [ostree] Use explicit work directory (lsedlar)
- [ostree] Rename atomic to ostree (lsedlar)
- [ostree] Move cloning config repo to chroot (lsedlar)
- [ostree] Fix call to kobo.shortcuts.run (lsedlar)
- [atomic] Stop creating the os directory (lsedlar)
- [checksum] Add arch to file name (lsedlar)
- install scripts (dennis)

* Tue Apr 05 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.12-3
- add some more ostree fixes
- add a bandaid for ppc until we get a proper fix

* Mon Apr 04 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.12-2
- add upstream patches with fixes for ostree and checksum

* Fri Apr 01 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.12-1
- Add a utility to validate config (lsedlar)
- [variants] Stop printing stuff to stderr unconditionally (lsedlar)
- Fix atomic/ostree config validations (lsedlar)
- [pungi-wrapper] Remove duplicated code (lsedlar)
- [checks] Add a check for too restrictive umask (lsedlar)
- [util] Remove umask manipulation from makedirs (lsedlar)
- Filter variants and architectures (lsedlar)
- Refactor checking for failable deliverables (lsedlar)
- [buildinstall] Do not crash on failure (lsedlar)

* Mon Mar 28 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.11-1
- make and install docs and manpage
- Reuse helper in all tests (lsedlar)
- [atomic] Add atomic_installer phase (lsedlar)
- [ostree] Add ostree phase (lsedlar)
- [atomic] Add a script to create ostree repo (lsedlar)
- Add compose type to release for images (lsedlar)
- [image-build] Add traceback on failure (lsedlar)
- [image-build] Use subvariants in logging output (lsedlar)
- [live-media] Use subvariants in logging (lsedlar)
- Add tracebacks to all failable phases (lsedlar)
- ppc no longer needs magic bits in the iso (pbrobinson)
- [buildinstall] Add more debugging output (lsedlar)
- [metadata] Stop crashing on empty path from .treeinfo (lsedlar)
- [checksums] Add label to file name (lsedlar)
- image_build: fix subvariant handling (awilliam)

* Wed Mar 16 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.10-3
- add patch to enable use of label in checksums

* Sun Mar 13 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.10-2
- add patch for bug in subvariant handling

* Fri Mar 11 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.10-1
- Remove check for disc type (lsedlar)
- Update tests to match the subvariant (lsedlar)
- add 'subvariant' image property, create live/appliance names (awilliam)
- Simplify koji pkgset (lsedlar)
- enable the compose tests

* Thu Mar 10 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.9-2
- new tarball with upstream commits for test suite and pkgset

* Thu Mar 10 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.9-1
- [init] Update documentation (lsedlar)
- [init] Iterate over arches just once (lsedlar)
- [init] Remove duplicated checks for comps (lsedlar)
- [init] Break long lines (lsedlar)
- [init] Don't overwrite the same log file (lsedlar)
- [init] Add config option for keeping original comps (lsedlar)
- Add tests for the init phase (lsedlar)
- [checks] Test printing in all cases (lsedlar)
- [checks] Reduce code duplication (lsedlar)
- [checks] Relax check for genisoimage (lsedlar)
- [checks] Remove duplicate msgfmt line (lsedlar)
- [checks] Relax check for isohybrid command (lsedlar)
- [checks] Add tests for dependency checking (lsedlar)
- [checks] Don't always require jigdo (lsedlar)
- [pkgset] Respect inherit setting (lsedlar)
- specify that the 4.0 docs are for 4.0.8 (dennis)
- [live-media] Support release set to None globally (lsedlar)
- include tests/fixtures/* in the tarball (dennis)

* Wed Mar 09 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.8-2
- add patch to allow livemedia_release to be None globally

* Tue Mar 08 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.8-1
- Add README (lsedlar)
- [doc] Fix formatting (lsedlar)
- [createiso] Add customizing disc type (lsedlar)
- [live-images] Add customizing disc type (lsedlar)
- [buildinstall] Add customizing disc type (lsedlar)
- [buildinstall] Rename method to not mention symlinks (lsedlar)
- [gather] Fix documentation of multilib white- and blacklist (lsedlar)
- [paths] Document and test translate_path (lsedlar)
- [createrepo] Compute delta RPMS against old compose (lsedlar)
- [util] Add function to search for old composes (lsedlar)
- [live-media] Add global settings (lsedlar)
- [live-media] Rename test case (lsedlar)

* Thu Mar 03 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.7-1
- Limit the variants with config option 'tree_variants' (dennis)
- [createrepo-wrapper] Fix --deltas argument (lsedlar)
- [createrepo-wrapper] Add tests (lsedlar)
- [koji-wrapper] Retry watching on connection errors (lsedlar)
- [createrepo-wrapper] Refactor code (lsedlar)
- [paths] Use variant.uid explicitly (lsedlar)
- [createrepo] Add tests (lsedlar)
- [createrepo] Refactor code (lsedlar)
- [image-build] Fix resolving git urls (lsedlar)
- [testphase] Don't run repoclosure for empty variants (lsedlar)
- [live-images] No manifest for appliances (lsedlar)

* Fri Feb 26 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.6-1
- push the 4.0 docs to a 4.0 branch (dennis)
- [live-images] Rename log file (lsedlar)
- [buildinstall] Use -dvd- in volume ids instead of -boot- (lsedlar)
- [buildinstall] Hardlink boot isos (lsedlar)
- [doc] Write documentation for kickstart Git URLs (lsedlar)
- [util] Resolve branches in git urls (lsedlar)
- [live-images] Fix crash when repo_from is not a list (lsedlar)
- [buildinstall] Don't copy files for empty variants (lsedlar)

* Tue Feb 23 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.5-1
- [tests] Fix wrong checks in buildinstall tests (lsedlar)
- [tests] Use temporary files for buildinstall (lsedlar)
- [tests] Do not mock open for koji wrapper tests (lsedlar)
- Merge #179 `Update makefile targets for testing` (ausil)
- Update makefile targets for testing (lsedlar)
- [live-images] Set type to raw-xz for appliances (lsedlar)
- [live-images] Correctly create format (lsedlar)
- [tests] Dummy compose is no longer private (lsedlar)
- [tests] Move buildinstall tests to new infrastructure (lsedlar)
- [tests] Use real paths module in testing (lsedlar)
- [tests] Move dummy testing compose into separate module (lsedlar)
- [live-images] Create image dir if needed (lsedlar)
- [live-images] Add images to manifest (lsedlar)
- [live-images] Fix path processing (lsedlar)
- [live-images] Move repo calculation to separate method (lsedlar)
- [koji-wrapper] Fix getting results from spin-appliance (lsedlar)
- [live-images] Filter non-image results (lsedlar)
- [live-images] Rename repos_from to repo_from (lsedlar)
- [koji-wrapper] Add test for passing release to image-build (lsedlar)
- [live-images] Automatically populate release with date and respin (lsedlar)
- [live-media] Respect release set in configuration (lsedlar)
- [live-images] Build all images specified in config (lsedlar)
- [live-media] Don't create $basedir arch (lsedlar)
- Update tests (lsedlar)
- do not ad to image build and live tasks the variant if it is empty (dennis)
- when a variant is empty do not add it to the repolist for livemedia (dennis)
- [live-media] Update tests to use $basearch (lsedlar)
- [buildinstall] Don't run lorax for empty variants (lsedlar)
- Merge #159 `use $basearch not $arch in livemedia tasks` (lubomir.sedlar)
- Merge #158 `do not uses pipes.quotes in livemedia tasks` (lubomir.sedlar)
- Add documentation for signing support that was added by previous commit
  (tmlcoch)
- Support signing of rpm wrapped live images (tmlcoch)
- Fix terminology - Koji uses sigkey not level (tmlcoch)
- use $basearch not $arch in livemedia tasks (dennis)
- do not uses pipes.quotes in livemedia tasks (dennis)
- [live-images] Don't tweak kickstarts (lsedlar)
- Allow specifying empty variants (lsedlar)
- [createrepo] Remove dead assignments (lsedlar)
- Keep empty query string in resolved git url (lsedlar)
- [image-build] Use dashes as arch separator in log (lsedlar)
- [buildinstall] Stop parsing task_id (lsedlar)
- [koji-wrapper] Get task id from failed runroot (lsedlar)
- [live-media] Pass ksurl to koji (lsedlar)
- Merge #146 `[live-media] Properly calculate iso dir` (ausil)
- [live-media] Properly calculate iso dir (lsedlar)
- [image-build] Fix tests (lsedlar)
- add image-build sections (lkocman)
- [koji-wrapper] Add tests for get_create_image_cmd (lsedlar)
- [live-images] Add support for spin-appliance (lsedlar)
- [live-media] Koji option is ksfile, not kickstart (lsedlar)
- [live-media] Use install tree from another variant (lsedlar)
- [live-media] Put images into iso dir (lsedlar)
- [image-build] Koji expects arches as a comma separated string (lsedlar)
- Merge #139 `Log more details when any deliverable fails` (ausil)
- [live-media] Version is required argument (lsedlar)
- [koji-wrapper] Only parse output on success (lsedlar)
- [koji-wrapper] Add tests for runroot wrapper (lsedlar)
- [buildinstall] Improve logging (lsedlar)
- Log more details about failed deliverable (lsedlar)
- [image-build] Fix failable tests (lsedlar)
- Merge #135 `Add live media support` (ausil)
- Merge #133 `media_split: add logger support. Helps with debugging space
  issues on dvd media` (ausil)
- [live-media] Add live media phase (lsedlar)
- [koji-wrapper] Add support for spin-livemedia (lsedlar)
- [koji-wrapper] Use more descriptive method names (lsedlar)
- [image-build] Remove dead code (lsedlar)
- media_split: add logger support. Helps with debugging space issues on dvd
  media (lkocman)
- [image-build] Allow running image build scratch tasks (lsedlar)
- [image-build] Allow dynamic release for images (lsedlar)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 20 2016 Dennis Gilmore <dennis@ausil.us> - 4.0.4-1
- 4.0.4 release (dennis)
- Merge #123 `Live images: add repo from another variant` (ausil)
- Merge #125 `[image-build] Stop creating wrong arch dirs` (ausil)
- Toggle multilib per variant (lsedlar)
- [live-images] Code cleanup (lsedlar)
- [live-images] Add documentation (lsedlar)
- [live-images] Add repos from other variants (lsedlar)
- [image-build] Stop creating wrong arch dirs (lsedlar)
- Enable identifying variants in exception traces (lsedlar)
- Store which deliverables failed (lsedlar)
- scm.py: use git clone instead git archive for http(s):// (lkocman)
- Fix filtering of system release packages (lsedlar)
- Merge #114 `Use install tree/repo from another variant for image build`
  (ausil)
- Make system release package filtering optional (lsedlar)
- [image-build] Optionally do not break whole compose (lsedlar)
- [image-build] Refactoring (lsedlar)
- [image-build] Use repo from another variant (lsedlar)
- [image-build] Take install tree from another variant (lsedlar)
- Add missing formats to volumeid and image name (lsedlar)
- [image-build] Use single koji task per variant (lsedlar)
- Fix image-build modifying config (lsedlar)
- Fix missing checksums in .treeinfo (lsedlar)
- Don't crash on generating volid without variant (lsedlar)
- Merge #99 `Add option to specify non-failing stuff` (ausil)
- Add repo from current compose (lsedlar)
- Fix getting compose topdir in CreateImage build thread (lsedlar)
- Add option to specify non-failing stuff (lsedlar)
- Allow customizing image name and volume id (lsedlar)
- Fix notifier tests (lsedlar)
- Publish a url instead of a file path. (rbean)
- Add 'topdir' to all fedmsg/notifier messages. (rbean)
- Merge #75 `Start of development guide` (ausil)
- Merge #88 `Resolve HEAD in ksurl to actual hash` (ausil)
- Merge #87 `Add support for customizing lorax options` (ausil)
- Update fedmsg notification hook to use appropriate config. (rbean)
- we need to ensure that we send all the tasks to koji on the correct arch
  (dennis)
- Resolve HEAD in ksurl to actual hash (lsedlar)
- Add support for customizing lorax options (lsedlar)
- Run lorax in separate dirs for each variant (lsedlar)
- Merge #84 `Allow specifying --installpkgs for lorax` (ausil)
- Merge #83 `Fix recently discovered bugs` (ausil)
- Merge #82 `indentation fixs correcting dvd creation` (ausil)
- Merge #69 `Move messaging into cli options and simplify it` (ausil)
- Start lorax for each variant separately (lsedlar)
- Update lorax wrapper to use --installpkgs (lsedlar)
- Allow specifying which packages to install in variants xml (lsedlar)
- Add basic tests for buildinstall phase (lsedlar)
- Fix generating checksum files (lsedlar)
- Use lowercase hashed directories (lsedlar)
- indentation fixs correcting dvd creation (dennis)
- remove glibc32 from the runroot tasks (dennis)
- fix up the pungi-fedmesg-notification script name (dennis)
- Add overview of Pungi to documentation (lsedlar)
- Move messaging into cli options (lsedlar)
- Extend contributing guide (lsedlar)
- Load multilib configuration from local dir in development (lsedlar)
- Allow running scripts with any python in PATH (lsedlar)

* Sat Aug 08 2015 Dennis Gilmore <dennis@ausil.us> 4.0.3-1
- Merge #54 `fix log_info for image_build (fails if image_build is skipped)`
  (lkocman)
- image_build: self.log_info -> self.compose.log_info (lkocman)
- Revert "Added params needed for Atomic compose to LoraxWrapper" (dennis)
- Revert "fix up if/elif in _handle_optional_arg_type" (dennis)
- Add image-build support (lkocman)
- Add translate path support. Useful for passing pungi repos to image-build
  (lkocman)
- import duplicate import of errno from buildinstall (lkocman)
- handle openning missing images.json (image-less compose re-run) (lkocman)
- compose: Add compose_label_major_version(). (lkocman)
- pungi-koji: Don't print traceback if error occurred. (pbabinca)
- More detailed message for unsigned rpms. (tkopecek)
- New config option: product_type (default is 'ga'); Set to 'updates' for
  updates composes. (dmach)
- kojiwrapper: Add get_signed_wrapped_rpms_paths() and get_build_nvrs()
  methods. (tmlcoch)
- live_images: Copy built wrapped rpms from koji into compose. (tmlcoch)
- kojiwrapper: Add get_wrapped_rpm_path() function. (tmlcoch)
- live_images: Allow custom name prefix for live ISOs. (tmlcoch)
- Do not require enabled runroot option for live_images phase. (tmlcoch)
- Support for rpm wrapped live images. (tmlcoch)
- Remove redundant line in variants wrapper. (tmlcoch)
- Merge #36 `Add params needed for Atomic compose to LoraxWrapper` (admiller)
- live_images: replace hardcoded path substition with translate_path() call
  (lkocman)
- live_images fix reference from koji to koji_wrapper (lkocman)
- fix up if/elif in _handle_optional_arg_type (admiller)
- Added params needed for Atomic compose to LoraxWrapper (admiller)
- Merge #24 `Fix empty repodata when hash directories were enabled. ` (dmach)
- createrepo: Fix empty repodata when hash directories were enabled. (dmach)

* Fri Jul 24 2015 Dennis Gilmore <dennis@ausil.us> - 4.0.2-1
- Merge #23 `fix treeinfo checksums` (dmach)
- Fix treeinfo checksums. (dmach)
- add basic setup for making arm iso's (dennis)
- gather: Implement hashed directories. (dmach)
- createiso: Add createiso_skip options to skip createiso on any variant/arch.
  (dmach)
- Fix buildinstall for armhfp. (dmach)
- Fix and document productimg phase. (dmach)
- Add armhfp arch tests. (dmach)
- Document configuration options. (dmach)
- Add dependency of 'runroot' config option on 'koji_profile'. (dmach)
- Rename product_* to release_*. (dmach)
- Implement koji profiles. (dmach)
- Drop repoclosure-%%arch tests. (dmach)
- Config option create_optional_isos now defaults to False. (dmach)
- Change createrepo config options defaults. (dmach)
- Rewrite documentation to Sphinx. (dmach)
- Fix test data, improve Makefile. (dmach)
- Update GPL to latest version from https://www.gnu.org/licenses/gpl-2.0.txt
  (dmach)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 11 2015 Dennis Gilmore <dennis@ausil.us> - 4.0.1-1
- wrap check for selinux enforcing in a try except (dennis)
- pull in gather.py patches from dmach for test compose (admiller)
- Add some basic testing, dummy rpm creation, and a testing README (admiller)
- pungi-koji: use logger instead of print when it's available (lkocman)
- fix incorrect reference to variable 'product_is_layered' (lkocman)
- pungi-koji: fix bad module path to verify_label() (lkocman)
- update the package Requires to ensure we have everything installed to run
  pungi-koji (dennis)
- update the package to be installed for productmd to python-productmd (dennis)

* Sun Jun 07 2015 Dennis Gilmore <dennis@ausil.us> - 4.0-0.9.20150607.gitef7c78c
- update docs now devel-4-pungi is merged to master, minor spelling fixes
  (pbrobinson)
- Fix remaining productmd issues. (dmach)
- Revert "refactor metadata.py to use productmd's compose.dump for composeinfo"
  (dmach)
- Fix LoraxTreeInfo class inheritance. (dmach)
- Fix pungi -> pungi_wrapper namespace issue. (dmach)
- fix arg order for checksums.add (admiller)
- update for productmd checksums.add to TreeInfo (admiller)
- fix product -> release namespace change for productmd (admiller)
- update arch manifest.add config order for productmd api call (admiller)
- update for new productmd named args to rpms (admiller)
- fix pungi vs pungi_wrapper namespacing in method_deps.py (admiller)
- add createrepo_c Requires to pungi.spec (admiller)
- add comps_filter (admiller)
- refactor metadata.py to use productmd's compose.dump for composeinfo instead
  of pungi compose_to_composeinfo (admiller)
- Update compose, phases{buildinstall,createiso,gather/__ini__} to use correct
  productmd API calls (admiller)
- Use libselinux-python instead of subprocess (lmacken)
- Add README for contributors (admiller)

* Wed May 20 2015 Dennis Gilmore <dennis@ausil.us> - 4.0-0.8.20150520.gitff77a92
- fix up bad += from early test of implementing different iso labels based on
  if there is a variant or not (dennis)

* Wed May 20 2015 Dennis Gilmore <dennis@ausil.us> - 4.0-0.7.20150520.gitdc1be3e
- make sure we treat the isfinal option as a boolean when fetching it (dennis)
- if there is a variant use it in the volume id and shorten it. this will make
  each producst install tree have different volume ids for their isos (dennis)
- fix up productmd import in the executable (dennis)
- fixup productmd imports for changes with open sourcing (dennis)
- tell the scm wrapper to do an absolute import otherwise we hit a circular dep
  issue and things go wonky (dennis)
- include the dtd files in /usr/share/pungi (dennis)
- add missing ) causing a syntax error (dennis)
- fix up the productmd imports to import the function from the common module
  (dennis)
- fix up typo in getting arch for the lorax log file (dennis)

* Sat Mar 14 2015 Dennis Gilmore <dennis@ausil.us> - 4.0-0.6.20150314.gitd337c34
- update the git snapshot to pick up some fixes

* Fri Mar 13 2015 Dennis Gilmore <dennis@ausil.us> - 4.0-0.5.git18d4d2e
- update Requires for rename of python-productmd

* Thu Mar 12 2015 Dennis Gilmore <dennis@ausil.us> - 4.0-0.4.git18d4d2e
- fix up the pungi logging by putting the arch in the log file name (dennis)
- change pypungi imports to pungi (dennis)
- spec file cleanups (dennis)

* Thu Mar 12 2015 Dennis Gilmore <dennis@ausil.us> - 4.0-0.3.gita3158ec
- rename binaries (dennis)
- Add the option to pass a custom path for the multilib config files (bcl)
- Call lorax as a process not a library (bcl)
- Close child fds when using subprocess (bcl)
- fixup setup.py and MANIFEST.in to make a useable tarball (dennis)
- switch to BSD style hashes for the iso checksums (dennis)
- refactor to get better data into .treeinfo (dennis)
- Initial code merge for Pungi 4.0. (dmach)
- Initial changes for Pungi 4.0. (dmach)
- Add --nomacboot option (csieh)

* Thu Mar 12 2015 Dennis Gilmore <dennis@ausil.us> - 4.0-0.2.git320724e
- update git snapshot to switch to executing lorax since it is using dnf

* Thu Mar 12 2015 Dennis Gilmore <dennis@ausil.us> - 4.0-0.1.git64b6c80
- update to the pungi 4.0 dev branch
